List all translations

Retrieves a list of project translation items, ungrouped. This endpoint supports cursor pagination for better performance with large datasets. When using cursor pagination, the response will include a nextCursor value in the response headers when more data is available. Continue making requests with the nextCursor value until no nextCursor is returned, indicating all data has been retrieved.

You may want to request Keys resource in order to get the structured key/translation pairs for all languages.

Requires read_translations OAuth access scope.

Path Params
string
required

A unique project identifier

string
required

Branch name

Query Params
number
enum

Whether to disable key references. Possible values are 1 and 0.

Allowed:
number

Return translations only for presented language ID.

number
enum

Filter translations which are reviewed. Possible values are 1 and 0.

Allowed:
number
enum

Filter translations which are unverified. Possible values are 1 and 0.

Allowed:
number
enum

Filter by untranslated keys. Possible values are 1 and 0.

Allowed:
string

One or more QA issues to filter by (comma separated). Possible values are spelling_and_grammar, placeholders, html, url_count, url, email_count, email, brackets, numbers, leading_whitespace, trailing_whitespace, double_space, special_placeholder and unbalanced_brackets.

number

Filter translations which are part of given task ID.

string
enum

Type of pagination. Possible values are offset and cursor. The default value is offset. Cursor pagination is performance-optimized and does not count total records or calculate remaining pages. When using cursor pagination, continue making requests until no nextCursor is returned in the response headers.

Allowed:
integer

Number of items to include (max 5000).

integer

Return results starting from this page.

string

Return results starting from this cursor. When using cursor pagination, this parameter should contain the nextCursor value from the previous response. Continue pagination until no nextCursor is returned in the response headers.

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json